'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');
var umiCore = require('@metaplex-foundation/umi-core');

/** @group Errors */
class BeetSerializerError extends umiCore.MetaplexError {
  constructor(message, cause) {
    super(message, 'plugin', 'Beet Serializer', cause);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'BeetSerializerError');
  }
}
class OperationNotSupportedError extends BeetSerializerError {
  constructor(operation) {
    super(`The operation [${operation}] is ` + `not supported by the Beet Serializer.`);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'OperationNotSupportedError');
  }
}
class DeserializingEmptyBufferError extends BeetSerializerError {
  constructor(serializer) {
    super(`Serializer [${serializer}] cannot deserialize empty buffers.`);
    _rollupPluginBabelHelpers.defineProperty(this, "name", 'DeserializingEmptyBufferError');
  }
}

exports.BeetSerializerError = BeetSerializerError;
exports.DeserializingEmptyBufferError = DeserializingEmptyBufferError;
exports.OperationNotSupportedError = OperationNotSupportedError;
//# sourceMappingURL=errors.cjs.map
